petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDAGetStencilType

Gets the type of the communication stencil

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetStencilType(DM da, DMDAStencilType *stype)

Not collective

### Input Parameter

da -The DMDA

### Output Parameter

stype -The stencil type, use either DMDA_STENCIL_BOX or DMDA_STENCIL_STAR.

### Keywords

distributed array, stencil

### See Also

DMDACreate(), DMDestroy(), DMDA

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages